Subject: Re: [PATCH] perl: also mark git-contacts executable

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Nov 2025 07:28:15 -0800

Ben Knoble <[email-masked]> writes:

>> Le 6 nov. 2025 à 02:22, Patrick Steinhardt <[email-masked]> a écrit :
>> 
>> On Tue, Nov 04, 2025 at 01:14:57PM -0500, D. Ben Knoble wrote:
>>> When install git-contacts with Meson via -Dcontrib=contacts, the default
>> 
>> s/install/installing/
>
> Thanks. If Junio doesn’t mind the trivial fix, I’ll avoid sending v2 for now :)

We'd be in pre-release freeze starting with -rc1, so no need to hurry.

>> And the change looks as expected. An alternative could of course be to
>> rename the file in-tree to "git-contacts.perl". In that case we wouldn't
>> require this special case at all. But I guess that this here is good
>> enough, and there might be other consequences if we renamed the script.

Heh, I tend to thnik that consistently naming any Perl source to end
in .perl (and Shell .sh) is the right fix, but anything in contrib/
is allowed to be sloppy ;-)